package com.example.demo;


import org.reactome.server.graph.domain.model.DatabaseObject;
import org.reactome.server.graph.service.AdvancedDatabaseObjectService;
import org.reactome.server.graph.utils.ReactomeGraphCore;

public class Main {

	public static void main(String[] args) {
		//Initialising ReactomeGraphCore Neo4j configuration
		ReactomeGraphCore.initialise("bolt://localhost:7687","neo4j","neo4jpw");
		// Query
		AdvancedDatabaseObjectService ados = ReactomeGraphCore.getService(AdvancedDatabaseObjectService.class);
		DatabaseObject databaseObject = ados.findById(9626685, 1000);
		System.out.println("Display name is " + databaseObject.getDisplayName());

	}

}
